import dayjs from 'dayjs';
import relativeTime from 'dayjs/plugin/relativeTime';
import calendar from 'dayjs/plugin/calendar';
import updateLocale from 'dayjs/plugin/updateLocale';
import 'dayjs/locale/zh-cn';

dayjs.extend(relativeTime);
dayjs.extend(calendar);
dayjs.extend(updateLocale);
dayjs.locale('zh-cn');

// 修改语言配置
dayjs.updateLocale('zh-cn', {
    calendar: {
        lastDay: '昨天 HH:mm',
        sameDay: '今天 HH:mm',
        nextDay: '明天 HH:mm',
        lastWeek: 'ddd HH:mm',
        nextWeek: '[下]ddd HH:mm',
        sameElse: 'YYYY/MM/DD',
    },
});

export default dayjs;
